<div class="form-wrapper">
  <h1>Login</h1>

  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <mat-form-field appearance="fill">
      <mat-label>Email</mat-label>
      <input type="email" matInput [formControl]="email">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Password</mat-label>
      <input type="password" matInput [formControl]="password">
    </mat-form-field>

    <div class="button-group">
      <button mat-raised-button color="primary" type="submit" [disabled]="form.invalid">Submit</button>
      <a routerLink="/register" mat-button>Go to register</a>
    </div>
  </form>
</div>
